开发者社区> 科技小能手> 正文
阿里云
为了无法计算的价值
打开APP
阿里云APP内打开

python2.6 升级到 python2.7

简介:
+关注继续查看

想用redis-py-cluster连接redis cluter,查看文档发现只支持python2.7和3的版本,而系统自带的是2.6的版本,需要对系统python版本进行升级。


查看python的版本

# python -V

Python 2.6.6

1.下载Python-2.7.3

# wget https://www.python.org/ftp/python/2.7.13/Python-2.7.13.tgz

2.解压

# tar -xvf Python-2.7.13.tgz 

3.更改工作目录

# cd Python-2.7.13

4.安装

# ./configure

# make && make install


5.建立软连接,使系统默认的 python指向 python2.7

# mv /usr/bin/python /usr/bin/python2.6.6

# ln -s /usr/local/bin/python2.7 /usr/bin/python


6.重新检验Python 版本

# python -V

Python 2.7.13


7.解决升级后yum不可用的问题

# vim /usr/bin/yum

将文件头部的#!/usr/bin/python改成#!/usr/bin/python2.6.6


8.配置iBus

将/usr/bin/ibus-setup 和 /usr/libexec/ibus-ui-gtk  这两个文件中exec python改为exec python2.6


9,安装setuptools

wget https://pypi.python.org/packages/6b/dd/a7de8caeeffab76bacf56972b3f090c12e0ae6932245abbce706690a6436/setuptools-28.3.0.tar.gz#md5=a46750b6bd90a1343466bd57b0e2721a

tar zxvf setuptools-28.3.0.tar.gz 

cd setuptools-28.3.0

python setup.py install


10,安装pip

wget https://pypi.python.org/packages/e7/a8/7556133689add8d1a54c0b14aeff0acb03c64707ce100ecd53934da1aa13/pip-8.1.2.tar.gz#md5=87083c0b9867963b29f7aba3613e8f4

tar zxvf  pip-8.1.2.tar.gz 

cd pip-8.1.2 

python setup.py install


11,测试pip是否可用

pip install mysql-python

Traceback (most recent call last):

  File "/usr/bin/pip", line 5, in <module>

    from pkg_resources import load_entry_point

  File "build/bdist.linux-x86_64/egg/pkg_resources/__init__.py", line 2991, in <module>

  File "build/bdist.linux-x86_64/egg/pkg_resources/__init__.py", line 2977, in _call_aside

  File "build/bdist.linux-x86_64/egg/pkg_resources/__init__.py", line 3004, in _initialize_master_working_set

  File "build/bdist.linux-x86_64/egg/pkg_resources/__init__.py", line 664, in _build_master

  File "build/bdist.linux-x86_64/egg/pkg_resources/__init__.py", line 677, in _build_from_requirements

  File "build/bdist.linux-x86_64/egg/pkg_resources/__init__.py", line 856, in resolve

pkg_resources.DistributionNotFound: The 'pip==7.1.0' distribution was not found and is required by the application

出现上面报错时的处理方法:

    mv /usr/bin/pip /usr/bin/pip0

    cp /usr/bin/pip2.7 /usr/bin/pip



本文转自 emma_cql 51CTO博客,原文链接:http://blog.51cto.com/chenql/1948444

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

相关文章
Python - 爬虫中文乱码之请求头 Accept-Encoding Brotli 问题
Python - 爬虫中文乱码之请求头 Accept-Encoding Brotli 问题
51 0
Python爬虫:常用的user_agent请求头
Python爬虫:常用的user_agent请求头
84 0
Python爬虫:scrapy-splash的请求头和代理参数设置
Python爬虫:scrapy-splash的请求头和代理参数设置
123 0
Python爬虫:将headers请求头字符串转为字典
Python爬虫:将headers请求头字符串转为字典
54 0
Python爬虫,用第三方库解决下载网页中文本的问题
还在辛辛苦苦的查找网页规律,写正则或者其他方式去匹配文本内容吗?还在纠结怎么去除小说网站的其他字符吗? 先来看看下面2张图,都是某小说网站的小说内容 怎么样,是不是很简洁!这就是今天给大家介绍的库,newspaper库! newspaper python3.
1073 0
23704
文章
0
问答
文章排行榜
最热
最新
相关电子书
更多
阿里巴巴DevOps 最佳实践手册
立即下载
冬季实战营第三期:MySQL数据库进阶实战
立即下载
低代码开发师(初级)实战教程
立即下载